body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f5f5f5;
}


/* Header Styling */
header {
    background-color: #2a9d8f;
    color: white;
    padding: 10px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
/* Header Styling for MediBuy Icon */
header h1 {
    font-size: 22px;
    font-weight: bold;
    color: white;               
    background-color: #d2ede8;  
    padding: none;          
    border-radius: 8px;         
    margin: 0;
    font-family: 'Arial', sans-serif; 
    display: inline-block;     
}

header h1 {
    font-size: 24px;
    font-weight: bold;
}

/* Main Content Styling */
.main-content {
    padding: 2rem 1rem;
    background: white;
    max-width: 800px;
    margin: 2rem auto;
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.location-services-section {
    text-align: center;
}

h2 {
    color: #000000;
    margin-bottom: 1rem;
}

p {
    margin-bottom: 2rem;
    color: #555;
}

.search-container {
    margin-bottom: 2rem;
}

.search-label {
    font-weight: bold;
    margin-right: 0.5rem;

    
}

#search-pharmacy {
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 4px;
    width: 60%;
    margin-right: 1rem;
}

.search-btn {
    padding: 0.5rem 1rem;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;

    background-color: #2a9d8f;
    color: white;
    border: none;
    padding: 14px 70px;
    border-radius: 5px;
    font-size: 1em;
    cursor: pointer;
    width: 100%;
    max-width: 280px;
    margin-top: 10px;
    transition: background-color 0.3s;
}

.search-btn:hover {
    background-color: #21867a;
}

.location-container {
    margin-bottom: 2rem;
    text-align: left;
}

#pharmacy-list {
    list-style: none;
    padding-left: 0;
}

#pharmacy-list li {
    padding: 0.5rem 0;
    border-bottom: 1px solid #ddd;
}

.location-services-btns {
    margin-top: 1rem;
}

.share-location-btn {
    padding: 14px 70px;
    background-color: #2a9d8f;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.share-location-btn:hover {
    background-color: #218838;
}

/* Footer Styling */
footer {
    background-color: #2a9d8f;
    padding: 20px;
    text-align: center;
    color: #fff;
    font-size: 14px;
    margin-top: 20px;
}

footer p {
    margin: 0;
}




button {
    padding: 10px 15px;
    background-color: #2a9d8f;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #237f6e;
}


.button-link {
    display: inline-block;
    background-color: #339d90;
    color: rgb(255, 255, 255);
    padding: 10px 15px;
    border-radius: 5px;
    text-align: center;
    text-decoration: none;
    font-size: 1em;
    cursor: pointer;
    transition: background-color 0.3s;
}

.button-link:hover {
    background-color: #21867a;
}
